0
votes
0answers
8 views

MongoDB Max Connections

we are using mongodb in our application for catching a lot of the data to reduce load from our main mysql database, for the last 2 3 days we are having an issue where the mongodb will hit the limit ...
-1
votes
1answer
31 views

sending email from cron in html format not text

i am trying to send email every 1 hour from cron job which is executing a php script that fetches data from database and shows in a table format. i have CentOs 6.1 where i created my cron job.firstly ...
1
vote
2answers
78 views

error installing mysql client after installing remi php-mysql

after installing nginx with php-fpm thanks to remi repository, I get an error when I simply install mysql client : yum install mysql give me the following result (see bellow). Loaded plugins: ...
1
vote
2answers
40 views

CentOS6 PHP extension install: Cannot find php-config. Please use --with-php-config=PATH

This may seem trivial to some, but I have been developing on Windows all my life and only moved to Linux this week - all is new to me. I've been following The following guide on how to install php ...
0
votes
1answer
19 views

Directadmin: an error while trying to configure php

I'm trying to build PHP on a Centos6.5 system with Directadmin and it fails on configure step: checking for MySQL support... yes checking for specified location of the MySQL UNIX socket... no ...
-1
votes
1answer
19 views

Running PHP in HTML Files on NginxProxy Centos

I have a ngnixproxy server on Centos 6.0. Wordpress and php files are running fine. But I have a static site with an html file with php code in it. The code is not working and the server is ...
1
vote
1answer
238 views

install php-mcrypt Centos 6

I'm trying for a few days now to install php-mcrypt on Centos 6 64bit, but I get this error [root@cimpan tmp]# yum install php-mcrypt Loaded plugins: fastestmirror Loading mirror speeds from cached ...
1
vote
1answer
322 views

PECL command produces long list of errors

Currently running PHP 5.4 on CentOS 6.5. I installed the webtatic php55w package then installed PEAR+PECL without issue along with redis and mongo through PECL. Shortly after, I realized 5.5 is not ...
0
votes
0answers
10 views

centos 6.4 PHP 5.5 installation dependency errors [duplicate]

I'm trying to install php 5.5 via the remi repositiory but i'm getting dependency errors such as: Error: Package: mysql-5.5.36-1.el6.remi.x86_64 (remi) Requires: libssl.so.10(libssl.so.10)(64bit) ...
0
votes
1answer
102 views

Can't get pspell to work

I installed aspell\pspell, and if I do > aspell dump dicts ar cs de de_AT de_CH de_DE en en-variant_0 en-variant_1 en-variant_2 en-w_accents en-wo_accents en_CA en_CA-variant_0 en_CA-variant_1 ...
0
votes
3answers
2k views

Trying to install PHP MySQL driver with MariaDB already installed

I have a VPS which came from an image called CentOS 6.4 x64,Nginx,php-fpm,MariaDB. PHP and MariaDB are both installed, but it seems that PHP does not have the MySQL driver installed. I first tried ...
1
vote
4answers
208 views

How do I uninstall `php` that's not found in `yum list` or `rpm -qa`?

I have a rogue php install somewhere on my server that I'd like to remove and stick with pure yum installs. How can I find and uninstall this rogue php install? yum and rpm searches both come up ...
1
vote
2answers
370 views

Downgrade PHP 5.5 to 5.4 (CentOS REMI Repo)

I have installed a LEMP stack by following this guide http://www.if-not-true-then-false.com/2011/install-nginx-php-fpm-on-fedora-centos-red-hat-rhel/ I now have the latest version of PHP v5.5. I then ...
-2
votes
2answers
41 views

Will upgrading to PHP 5.3 on CentOS 6.4 cause any problems

I intend to upgrade PHP from version 5.2.17 to 5.3 or higher on a CentOS 6.4 64-bit. I'm also running cPanel on the server. My question is, will it affect any other part of the server that I didn't ...
0
votes
0answers
27 views

installing php & nginx without mysql?

I'm setting up some servers on digitalocean's cloud hosting. I have mariadb installed on its own server, and I am now setting up the nginx/php server for files. Is it necessary to install ...
0
votes
1answer
129 views

Installing mcrypt extension on CentOS 6

I am trying to install the mcrypt extension on my CentOS 6 VPS. I have done the EPEL rpm and then updated everything. Now, I keep getting this error and I've also installed php-api. [root@vps ~]# yum ...
0
votes
0answers
244 views

Can CentOS run glibc 2.14 or later? (OR can mcrypt for PHP 5.5.4 work with glibc 2.12)

Been running a PHP app that uses mcrypt. Just moved hosts/servers, and the new host runs PHP 5.5.4 (latest stable release) while the old host was running an old version of PHP. Well, looks like ...
-1
votes
1answer
153 views

How to change apache php version

I have a centos 6 vm as my development environment and came with php5.3.3 By this I mean I use yum to install php (yum install php) I install php 5.4 with these instructions ...
1
vote
2answers
675 views

Can I use the worker MPM with mod_php?

After reading this answer, I decided to change httpd's MPM on my server to worker. But while editing /etc/sysconfig/httpd, I noticed this comment: # The default processing model (MPM) is the ...
1
vote
2answers
514 views

CentOS 6 missing dependencies for default PHP

I have a brand new Dedi install of CentOS 6 x86_64, nothing has been done to it but install rpmforge and htop. Other than that we are default, well as default as GoDaddy gives which is garbage ha ha. ...
-2
votes
1answer
1k views

PHP 5.3.27 on CentOS 6.4

Can someone tell me how to setup PHP 5.3.27 on CentOS 6.4 without using remi repos and without compiling PHP myself? I tried googling a lot but it always gives me results for upgrade on CentOS 5.
-1
votes
1answer
252 views

pecl can't find PHP - 'No such file or directory'

I have updated PHP on a CentOS install to PHP 5.5 via the Remi repository. The php-pear package is installed. However, when I try and run pecl, it can't find the PHP install; [root@box etc]# pecl ...
0
votes
1answer
490 views

mod_fcgid: stderr: PHP Fatal error with Plesk 11.5.30 and php-pear

Just upgraded to Plesk 11.5.30 and found out that sending SMTP emails with php pear aren't working anymore with following error message: mod_fcgid: stderr: PHP Fatal error: require_once(): Failed ...
0
votes
0answers
108 views

Php doesn't get that Curl has SSL enabled

OS is Centos 6. I manually installed curl-7.27.0 with SSL enabled. curl --version curl 7.19.7 (x86_64-redhat-linux-gnu) libcurl/7.27.0 OpenSSL/1.0.0 zlib/1.2.3 c-ares/1.9.1 But my PHP doesn't ...
1
vote
2answers
401 views

Determine php script causing MySQL huge load

I'm running a young non-profit organization aiming at providing free and low cost web hosting. Since few days, our server load is around 1.5, sometimes raising to 7. top shows me that MySQL is the ...
1
vote
1answer
105 views

PHP CLI vs MOD_PHP and FASTCGI

I asked my server support team to enable MOD_PHP or FASTCGI for me instead of CGI which is currently active. They told me they can active PHP CLI if I ask. AFAK CLI mean Commend Line Interface, so ...
0
votes
6answers
3k views

Installing Imagick PHP Extension on CentOS 6.3 64bit?

I am trying to configure and make install imagick extension, here is commands that i used wget http://pecl.php.net/get/imagick-3.0.1.tgz tar zxf imagick-3.0.1.tgz cd imagick-3.0.1 phpize ./configure ...
1
vote
1answer
446 views

A stock install of Moodle doesn't seem to run on CentOS or RHEL 6.3

I've got a clean instance of CentOS and a clean instance of RHEL 6.3 - I've tried to installed Moodle on both. Error: Database connection failed It is possible that the database is overloaded or ...
0
votes
2answers
108 views

libphp5.so file not reflecting changes made in php.ini

I have been trying to update the upload_max_filesize of my php.ini file to 200M. I have got it to successfully save however it is not reflecting the changes on my server (it still lists the ...
15
votes
3answers
27k views

How do I upgrade to the latest PHP version in CentOS with yum?

I found some blog posts about this, but it's rather lack of descriptions on possible side effects. I could really use some detailed on these steps: How to add a repo that provides PHP 5.4 into yum ...
1
vote
3answers
4k views

Safely update php 5.3.3 to >=5.3.4 on centos 6

Would the following works fine without any issues? I have apc cache installed, the other packages the usual php configuration. yum update php would that be enough? it is an active server, so want ...
1
vote
1answer
310 views

Zend Guard Loader and Plesk

I have Plesk 11.x installed on my CentOS 6.2 x86_64. I configured my PHP to load Zend Guard Loader. But know when I check php configuration by php -v the output is: PHP 5.3.3 (cli) (built: Jul 3 ...
0
votes
1answer
101 views

Running adb from PHP

I moved from Ubuntu to CentOS and I now have a problem running adb from PHP. I am trying to execute shell_exec("/path/to/adb devices"); and I get: ADB server didn't ACK failed to start daemon error ...
0
votes
1answer
451 views

APC module causing strange error

When I run php -v I get: PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/apc.so' - /usr/lib64/php/modules/apc.so: undefined symbol: php_pcre_exec in Unknown on ...
1
vote
5answers
3k views

PHP short_open_tag Won't Enable (CentOS 6)

I'm setting up an Apache2, PHP 5.3.3 server running on CentOS 6. My web application uses the short tags <? and <?=. I can't seem to get the short tags enabled. When I run phpinfo() I see ...
1
vote
5answers
836 views

CentOS replacement for PHP development machine?

I'm just starting learning Linux. I'm using CentOS 6.3 and i really like it. However I need PHP 5.4, currently not available for CentOS. I've read that CentOS, for its very own nature, doesn't update ...
0
votes
1answer
1k views

Too many PHP zombie processes

I restarted my apache daemon today to reload the config file, but after this i began to see many php zombie processes on the system. The amount varies from 10 to 30 and they all take a little slice of ...
0
votes
2answers
828 views

Compiling PHP on CentOS Needs MySQL PDO Configured

I am trying to compile PHP with mysql_pdo on CentOS 6 and I am having just one heck of a time trying to make it happen. Currently I am trying to compile PHP 5.2, but I am going to have to do this for ...
1
vote
0answers
2k views

CURL ERROR: Recv failure: Connection reset by peer - PHP Curl

I've posted a question yesterday on stackoverflow here but think this might be server related. I'm connecting using the PHP curl functionality to a server that then generates a PDF file and sends it ...
4
votes
1answer
253 views

webserver running as nobody cannot resolve domain names

If i try to run the following: <?php echo file_get_contents("http://www.yahoo.com/index.html"); ?> through the web server I get a an "php_network_getaddresses: getaddrinfo" error. If I run ...
0
votes
0answers
2k views

PHP and OpenSSL on CentOS: PHP Warning: PHP Startup: Unable to load dynamic library '/pathto'/openssl openssl.se:

I'm using Centos 6.2 and PHP 5.3.9. I am trying to build PHP with OpenSSL extension in order for me to be able to use PEAR Mail/SMTP over SSL. During configuration of PHP I get this in the ...
1
vote
1answer
1k views

CentOS 6 - php5-pam-auth?

Where do I get an updated version of the PHP pam_auth module? Can't find it on yum and the latest version I can find to download is for PHP 4.3.
1
vote
3answers
3k views

CentOS 6: PHP can not load gdchart.so and oci8.so compiled by me

I have been trying to add 2 PHP extensions to a freshly installed CentOS 6.0 Linux server, but get the error messages in /var/log/httpd/error_log: [notice] SELinux policy enabled; httpd running as ...